bifunctors-4.1.0.1: Bifunctors

Portability | portable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Safe-Inferred

Data.Bifunctor.Product

Description

The product of two bifunctors.

Synopsis

- data Product f g a b = Pair (f a b) (g a b)

# Documentation

data Product f g a b Source

Form the product of two bifunctors

Constructors

Pair (f a b) (g a b) |

Instances

(Bifoldable f, Bifoldable g) => Bifoldable (Product f g) |
(Bifoldable1 f, Bifoldable1 g) => Bifoldable1 (Product f g) |
(Bifunctor f, Bifunctor g) => Bifunctor (Product f g) |
(Bitraversable f, Bitraversable g) => Bitraversable (Product f g) |
(Bitraversable1 f, Bitraversable1 g) => Bitraversable1 (Product f g) |
(Biapplicative f, Biapplicative g) => Biapplicative (Product f g) |
(Eq (f a b), Eq (g a b)) => Eq (Product f g a b) |
(Ord (f a b), Ord (g a b)) => Ord (Product f g a b) |
(Read (f a b), Read (g a b)) => Read (Product f g a b) |
(Show (f a b), Show (g a b)) => Show (Product f g a b) |